%global momorel 1

Name: guake
Summary: Drop-down terminal for GNOME
Version: 0.8.4
Release: %{momorel}m%{?dist}
License: GPLv2+
Group: User Interface/Desktops
Source0: https://github.com/Guake/guake/archive/%{version}.tar.gz
NoSource: 0
URL:http://guake-project.org/

Patch5:         0001-Remove-vte-check-in-the-configure.ac.patch

BuildArch:      noarch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: intltool
BuildRequires: python
BuildRequires: pkgconfig
BuildRequires: gtk2-devel
BuildRequires: libX11-devel
BuildRequires: GConf
Requires:       pygtk2 >= 2.10 vte028 notify-python pygtk2-libglade gnome-python2-gconf dbus-python
Requires:       pyxdg python-keybinder

Requires(pre):   GConf2
Requires(post):  GConf2
Requires(preun): GConf2

%description
Guake is a drop-down terminal for Gnome Desktop Environment,
so you just need to press a key to invoke it,
and press again to hide it.

%prep
%setup -q

sed -i -e '/^#!\//, 1d' src/guake/notifier.py

%patch5 -p1 -b .

./autogen.sh

cat data/guake.desktop.in
cat data/guake.desktop

# Enables to pass the configure without problem concerning python vte library
sed -i -e 's|if test -z "$ac_pvte_result"; then|if test -z "" ; then|g' configure

%build
%configure --disable-schemas-install --disable-static
%make


%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

desktop-file-install --vendor=""                           \
  --delete-original                                        \
  --dir=%{buildroot}%{_datadir}/applications               \
  %{buildroot}%{_datadir}/applications/%{name}.desktop


desktop-file-install --vendor=""                           \
  --delete-original                                        \
  --dir=%{buildroot}%{_datadir}/applications               \
  %{buildroot}%{_datadir}/applications/%{name}-prefs.desktop


%find_lang %{name}
rm -f %{buildroot}%{python_sitearch}/%{name}/globalhotkeys.la

if [ "%{python_sitearch}" != "%{python_sitelib}" ]; then
  mkdir -p %{buildroot}%{python_sitearch}/%{name}/
  mv %{buildroot}%{python_sitelib}/%{name}/* %{buildroot}%{python_sitearch}/%{name}/
fi

%pre
%gconf_schema_prepare %{name}

%clean
rm -rf --preserve-root %{buildroot}

%post
%gconf_schema_upgrade %{name}

%preun
%gconf_schema_remove %{name}

%posttrans
killall gconfd-2 > /dev/null || :

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING README.rst
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/%{name}
%{_bindir}/%{name}-prefs
%{python_sitearch}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-prefs.desktop
%{_datadir}/dbus-1/services/org.guake.Guake.service
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}
%{_mandir}/man1/guake.1.*
%{_datadir}/icons/hicolor/*/apps/%{name}*.png

%changelog
* Fri Mar 18 2016 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.8.4-1m)
- update to 0.8.4

* Fri Oct  9 2015 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.8.1-1m)
- update to 0.8.1

* Fri Oct  9 2015 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.8.0-1m)
- revive from OBSO and update to 0.8.0

* Tue Apr 26 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.2-1m)
- update to 0.4.2

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.4.1-6m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.4.1-5m)
- rebuild for new GCC 4.5

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.4.1-4m)
- full rebuild for mo7 release

* Tue Aug  3 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.4.1-3m)
- NotShowIn LXDE

* Thu Jul 29 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.1-2m)
- add NotShowIn=KDE; to %%{_sysconfdir}/xdg/autostart/guake.desktop

* Wed Jul 28 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.1-1m)
- update to 0.4.1

* Sat Apr 24 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.4.0-3m)
- use BuildRequires

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.4.0-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sun May 24 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.0-1m)
- update to 0.4.0

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.3.1-3m)
- rebuild against rpm-4.6

* Thu Jan  1 2009 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.3.1-2m)
- rebuild against python-2.6.1-2m

* Sat Jul 26 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.1-1m)
- update to 0.3.1

* Sun Jul 20 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3-1m)
- update to 0.3

* Fri May  9 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.1-1m)
- initial build
